## metview-python 1.16.2

=== Makefile ===

PACKAGE := metview
IMAGE := $(PACKAGE)
MODULE := $(PACKAGE)
PYTHONS := python3.6 python3.5 python3.4 pypy3

SOURCE := MetviewBundle-2019.02.0-Source.tar.gz
SOURCE_URL := https://software.ecmwf.int/wiki/download/attachments/51731119/$(SOURCE)

# uncomment after running the command 'make local-wheel' in the xarray-grib folder
# EXTRA_PACKAGES := xarray_grib-0.1.0-py2.py3-none-any.whl

export WHEELHOUSE := ~/.wheelhouse
export PIP_FIND_LINKS := $(WHEELHOUSE)
export PIP_WHEEL_DIR := $(WHEELHOUSE)
export PIP_INDEX_URL

DOCKERBUILDFLAGS := --build-arg SOURCE=$(SOURCE)
DOCKERFLAGS := -e WHEELHOUSE=$(WHEELHOUSE) \
	-e PIP_FIND_LINKS=$(PIP_FIND_LINKS) \
	-e PIP_WHEEL_DIR=$(PIP_WHEEL_DIR) \
	-e PIP_INDEX_URL=$$PIP_INDEX_URL
# Development options
# DOCKERFLAGS += -v $$(pwd)/../metview:/tmp/source/metview
# DOCKERFLAGS += -v $$(pwd)/../metview-prefix:/usr/local
# DOCKERFLAGS += -v $$(pwd)/../metpy:/metpy
PIP := pip
MKDIR = mkdir -p

ifeq ($(shell [ -d $(WHEELHOUSE) ] && echo true),true)
    DOCKERFLAGS += -v $(WHEELHOUSE):/root/.wheelhouse
endif

RUNTIME := $(shell [ -f /proc/1/cgroup ] && cat /proc/1/cgroup | grep -q docker && echo docker)
ifneq ($(RUNTIME),docker)
    override TOXFLAGS += --workdir=.docker-tox
    RUN = docker run --rm -it -v$$(pwd):/src -w/src $(DOCKERFLAGS) $(IMAGE)
endif


default:
	@echo No default

# local targets

$(PIP_FIND_LINKS):
	$(MKDIR) $@

local-wheelhouse-one:
	$(PIP) install wheel
	$(PIP) wheel -r requirements/requirements-tests.txt
	$(PIP) wheel -r requirements/requirements-docs.txt

local-wheelhouse:
	for PYTHON in $(PYTHONS); do $(MAKE) local-wheelhouse-one PIP="$$PYTHON -m pip"; done
	$(PIP) wheel -r requirements/requirements-dev.txt

local-install-dev-req:
	$(PIP) install -U pip setuptools wheel
	$(PIP) install -r requirements/requirements-dev.txt

local-install-test-req: $(PIP_FIND_LINKS)
	$(PIP) install -r requirements/requirements-tests.txt

local-develop: $(EXTRA_PACKAGES)
	for p in $<; do $(PIP) install $$p; done
	$(PIP) install -e .

local-wheel:
	$(PIP) wheel -e .

testclean:
	$(RM) -r */__pycache__ .coverage .cache

clean:
	$(RM) -r */*.pyc htmlcov dist build .eggs *.egg-info

distclean: clean
	$(RM) -r .tox .docker-tox

cacheclean:
	$(RM) -r $(WHEELHOUSE)/* ~/.cache/*

# container targets

shell:
	$(RUN)

notebook: DOCKERFLAGS += -p 8888:8888
notebook:
	$(RUN) jupyter notebook --ip=* --allow-root

wheelhouse:
	$(RUN) make local-wheelhouse

update-req:
	$(RUN) pip-compile -o requirements/requirements-tests.txt -U setup.py requirements/requirements-tests.in
	$(RUN) pip-compile -o requirements/requirements-docs.txt -U setup.py requirements/requirements-docs.in

test: testclean
	$(RUN) python setup.py test --addopts "-v --flakes --cov=$(MODULE) --cov-report=html --cache-clear"

qc:
	$(RUN) python setup.py test --addopts "-v --pep8 --mccabe metview tests"

tox: testclean
	$(RUN) tox $(TOXFLAGS)

detox: testclean
	$(RUN) detox $(TOXFLAGS)

# image build

%.whl: $(WHEELHOUSE)/%.whl
	cp -a $< $@

$(SOURCE):
	curl -o $@ -L $(SOURCE_URL)

image: $(SOURCE) $(EXTRA_PACKAGES)
	docker build -t $(IMAGE) $(DOCKERBUILDFLAGS) .

## metview-python 1.4.0

=== debian/changelog ===
metview-python (1.4.0-2) unstable; urgency=medium

  * Rebuild in unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Mar 2020 08:20:07 +0100

metview-python (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #954068)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Mar 2020 10:49:47 +0000

=== debian/control ===
Source: metview-python
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  dh-sequence-python3,
  libeccodes-dev,
  python3-dev, 
  python3-setuptools,
  python3-pytest-runner
Standards-Version: 4.5.0
Homepage: https://github.com/ecmwf/metview-python
Vcs-Browser: https://salsa.debian.org:/science-team/metview-python.git
Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git

Package: python3-metview
Architecture: any
Depends:  libmagplus3v5 , ${misc:Depends}, 
 ${python3:Depends}, 
 python3-simplejson, 
 python3-jinja2
Description: Python3 support for Metview
 Metview is the Visualization system from the European Centre for Medium Range
 Forecasts. It is scriptable, allowing auotmated generation of weather and
 climate graphics.
 .
 This package provides Python3 support for the Metview package

## metview-python 1.6.0

=== debian/changelog ===
metview-python (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Add d/gbp.conf pointing to DEP-14 branch names
  * Point Vcs-Git to debian/latest branch
  * Standards-Version: 4.5.1
  * Add d/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jan 2021 12:23:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
   dh-sequence-python3,
   libeccodes-dev,
   python3-dev, 
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ecmwf/metview-python
 Vcs-Browser: https://salsa.debian.org:/science-team/metview-python.git
-Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git
+Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git -b debian/latest
 
 Package: python3-metview
 Architecture: any

## metview-python 1.7.0

=== debian/changelog ===
metview-python (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Mar 2021 12:38:24 +0000

## metview-python 1.7.1

=== debian/changelog ===
metview-python (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 May 2021 07:26:07 +0100

## metview-python 1.7.2

=== debian/changelog ===
metview-python (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 May 2021 11:02:27 +0100

## metview-python 1.9.0

=== debian/changelog ===
metview-python (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 19:37:17 +0000

metview-python (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Oct 2021 13:32:44 +0100

metview-python (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Aug 2021 19:25:46 +0100

## metview-python 1.10.2

=== debian/changelog ===
metview-python (1.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Dec 2021 08:48:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   python3-dev, 
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ecmwf/metview-python
 Vcs-Browser: https://salsa.debian.org:/science-team/metview-python.git
 Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git -b debian/latest

## metview-python 1.11.0

=== debian/changelog ===
metview-python (1.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 11:17:45 +0000

## metview-python 1.12.0

=== debian/changelog ===
metview-python (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 14:44:15 +0100

## metview-python 1.13.0

=== debian/changelog ===
metview-python (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2022 10:57:14 +0100

## metview-python 1.13.1

=== debian/changelog ===
metview-python (1.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Nov 2022 10:09:15 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   python3-dev, 
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ecmwf/metview-python
 Vcs-Browser: https://salsa.debian.org:/science-team/metview-python.git
 Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=metview

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild 

override_dh_auto_test:
	@echo bypass test that requiresd pytest-flakes

## metview-python 1.14.0

=== debian/changelog ===
metview-python (1.14.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:35:05 +0100

metview-python (1.14.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 May 2023 19:07:31 +0100

## metview-python 1.15.0

=== debian/changelog ===
metview-python (1.15.0-3) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Oct 2023 08:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   python3-dev, 
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf/metview-python
 Vcs-Browser: https://salsa.debian.org:/science-team/metview-python.git
 Vcs-Git: https://salsa.debian.org:/science-team/metview-python.git -b debian/latest

## metview-python 1.16.0

=== debian/changelog ===
metview-python (1.16.0-1) unstable; urgency=medium

  * New uppstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jun 2024 11:11:54 +0100

## metview-python 1.16.1

=== debian/changelog ===
metview-python (1.16.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the obsolete dependency on python3-simplejson
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 10:54:06 +0200

metview-python (1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Jun 2024 08:11:41 +0100

=== debian/control ===
Source: metview-python
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  libeccodes-dev,
  python3-dev, 
  python3-setuptools,
  python3-pytest-runner
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ecmwf/metview-python
Vcs-Browser: https://salsa.debian.org/science-team/metview-python.git
Vcs-Git: https://salsa.debian.org/science-team/metview-python.git -b debian/latest

Package: python3-metview
Architecture: any
Depends:
 libmagplus3v5,
 python3-jinja2,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 support for Metview
 Metview is the Visualization system from the European Centre for Medium Range
 Forecasts. It is scriptable, allowing auotmated generation of weather and
 climate graphics.
 .
 This package provides Python3 support for the Metview package

## metview-python 1.16.2

=== debian/changelog ===
metview-python (1.16.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2025 09:38:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
   python3-setuptools,
   python3-pytest-runner
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/metview-python
-Vcs-Browser: https://salsa.debian.org/science-team/metview-python.git
-Vcs-Git: https://salsa.debian.org/science-team/metview-python.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/metview-python
+Vcs-Git: https://salsa.debian.org/science-team/metview-python
 
 Package: python3-metview
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=metview

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	@echo bypass test that requiresd pytest-flakes

=== debian/tests/control ===
#Tests: superficial
#Depends: @, python3-all, metview
#Restrictions: superficial

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/ecmwf/metview-python/tags .*/v?(\d\d?\d?\..+).tar\.gz
